--- title: "Save method response body" slug: "apigateway-postresponsebody" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-postresponsebody" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Save method response body Available in Classic and VPC Add a response body to a customized method. The response status code must be added before you can save the body. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/response-body | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The followinYou can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose response body you want to add - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `resource-id` | String | Required | ID of the target resource in the API - 1 - 10 characters - See [View resource list](/docs/en/apigateway-resource-getresourcelist) | | `method-name` | String | Required | Target method type - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | | `status-code` | Integer | Required | Response status code - See [View method response](/docs/en/apigateway-method-getresponses) | ### Request syntax The request syntax is as follows. ``` { "modelId" : "modelId", "bodyName" : "bodyName", "bodyDescription" : "bodyDescription" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `modelId` | String | Required | ID of the model to apply - Use a pre-created model - Check available models through the [View model](/doc/apigateway-getmodels) action | | `bodyName` | String | Required | Name of the response body to save - 0 - 100 characters | | `bodyDescription` | String | Optional | Response body description - 0 - 300 characters | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/400/response-body' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "modelId": "qw33h0i33i", "bodyName": "ApiKeyDto", "bodyDescription": "This is response body" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "modelId" : "modelId", "modelName" : "modelName", "bodyName" : "bodyName", "bodyDescription" : "bodyDescription" } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "modelId": "qw33h0i33i", "modelName": "ApiKeyDto", "bodyName": "ApiKeyDto", "bodyDescription": "This is response body" } ```